class NimmSpielbrett {

	int anzahlKugeln;

	// initialisiert Spielbrett mit der angegebenen Anzahl an Kugeln
	NimmSpielbrett(int kugeln) {
		anzahlKugeln = kugeln;
	}

	// nimmt die Anzahl an uebergebenen Kugeln vom Haufen
	void wegnehmen(int kugeln) {
		anzahlKugeln = anzahlKugeln - kugeln;
	}

	// liefert die aktuelle Anzahl an Kugeln auf dem Spielbrett
	int getAnzahlKugeln() {
		return anzahlKugeln;
	}

}

class NimmSpieler {

	int nummer;

	// Initialisiert Spieler mit der angegebenen Nummer
	NimmSpieler(int nr) {
		nummer = nr;
	}

	// liefert die Nummer des Spielers
	int getNummer() {
		return nummer;
	}

	// fordert den Spieler zur Eingabe auf und liefert den eingegebenen Wert
	int liefereEingabe() {
		return IO.readInt("Spieler " + nummer + "! 1 oder 2 wegnehmen? ");
	}
}

public class UE10Aufgabe27 {

	public static void main(String[] args) {
		NimmSpielbrett brett = new NimmSpielbrett(19);
		NimmSpieler spieler1 = new NimmSpieler(1);
		NimmSpieler spieler2 = new NimmSpieler(2);
		NimmSpieler aktuellerSpieler = spieler1;
		while (true) {
			IO.println("Aktuelle Anzahl an Kugeln = " + brett.getAnzahlKugeln());
			int anzahlWegzunehmenderKugeln = aktuellerSpieler.liefereEingabe();
			if (anzahlWegzunehmenderKugeln < 1 || anzahlWegzunehmenderKugeln > 2) {
				IO.println("Fehlerhafte Spielzug! Spieler " + aktuellerSpieler.getNummer() + " hat verloren!");
				return;
			}
			brett.wegnehmen(anzahlWegzunehmenderKugeln);
			if (brett.getAnzahlKugeln() <= 0) {
				break;
			}
			aktuellerSpieler = aktuellerSpieler == spieler1 ? spieler2 : spieler1;
		}
		IO.println("Spieler " + aktuellerSpieler.getNummer() + " hat gewonnen!");
	}

	static void imperativeLoesung() {
		int anzahlKugeln = 19;
		int aktuellerSpieler = 1;
		while (true) {
			IO.println("Aktuelle Anzahl an Kugeln = " + anzahlKugeln);
			int anzahlWegzunehmenderKugeln = IO
					.readInt("Spieler " + aktuellerSpieler + "! 1 oder 2 Kugeln wegnehmen? ");
			if (anzahlWegzunehmenderKugeln < 1 || anzahlWegzunehmenderKugeln > 2) {
				IO.println("Fehlerhafte Spielzug! Spieler " + aktuellerSpieler + " hat verloren!");
				return;
			}
			anzahlKugeln = anzahlKugeln - anzahlWegzunehmenderKugeln;
			if (anzahlKugeln <= 0) {
				break;
			}
			aktuellerSpieler = aktuellerSpieler % 2 + 1;
		}
		IO.println("Spieler " + aktuellerSpieler + " hat gewonnen!");
	}

}
