class Wuerfel {
	double kantenLaenge;

	Wuerfel(double k) {
		kantenLaenge = k;
	}

	double getOberflaeche() {
		return 6.0 * kantenLaenge * kantenLaenge;
	}

	double getVolumen() {
		return kantenLaenge * kantenLaenge * kantenLaenge;
	}

	void veraendern(double inkrement) {
		kantenLaenge += inkrement;
	}
}

class Kugel {
	double PI = 3.1415;

	double radius;

	Kugel(double r) {
		radius = r;
	}

	double getOberflaeche() {
		return 4.0 * PI * radius * radius;
	}

	double getVolumen() {
		return 4.0 / 3.0 * PI * radius * radius * radius;
	}

	void veraendern(double inkrement) {
		radius += inkrement;
	}
}

public class UE10Aufgabe8 {

	public static void main(String[] args) {
		double kantenlaenge = IO.readDouble("Kantenlaenge (> 0): ");
		while (kantenlaenge <= 0) {
			kantenlaenge = IO
					.readDouble("Fehlerhafte Eingabe! Kantenlaenge (> 0): ");
		}

		double radius = IO.readDouble("Radius (> 0): ");
		while (radius <= 0) {
			radius = IO.readDouble("Fehlerhafte Eingabe! Radius (> 0): ");
		}

		Wuerfel wuerfel = new Wuerfel(kantenlaenge);
		Kugel kugel = new Kugel(radius);

		System.out.println("Wuerfel-Volumen (Anfang): " + wuerfel.getVolumen());
		System.out.println("Kugel-Volumen (Anfang): " + kugel.getVolumen());

		double inkrement = IO.readDouble("Inkrement (> 0): ");
		while (inkrement <= 0) {
			inkrement = IO.readDouble("Fehlerhafte Eingabe! Inkrement (> 0): ");
		}

		if (wuerfel.getVolumen() <= kugel.getVolumen()) {
			while (wuerfel.getVolumen() <= kugel.getVolumen()) {
				wuerfel.veraendern(inkrement);
				kugel.veraendern(-inkrement);
			}
		} else {
			while (kugel.getVolumen() <= wuerfel.getVolumen()) {
				kugel.veraendern(inkrement);
				wuerfel.veraendern(-inkrement);
			}
		}

		System.out.println("Wuerfel-Volumen: " + wuerfel.getVolumen());
		System.out.println("Wuerfel-Oberflaeche: " + wuerfel.getOberflaeche());

		System.out.println("Kugel-Volumen: " + kugel.getVolumen());
		System.out.println("Kugel-Oberflaeche: " + kugel.getOberflaeche());

	}

}
